Skip to content

insertPurchaseReturnOrder

WRITE

Insert purchase return order.

POST /api/v1/purchasing/insertPurchaseReturnOrder
curl -X POST '<your-host>/api/v1/purchasing/insertPurchaseReturnOrder' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "supplierId": "string",
    "orderDate": "string"
  }'
Response
{
  "id": "string",
  "purchaseReturnOrderId": "string"
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "supplierId": {
      "type": "string"
    },
    "purchaseReturnOrderId": {
      "type": "string"
    },
    "orderDate": {
      "type": "string"
    },
    "supplierLocationId": {
      "type": "string"
    },
    "supplierContactId": {
      "type": "string"
    },
    "supplierReference": {
      "type": "string"
    },
    "locationId": {
      "type": "string"
    },
    "purchaseOrderId": {
      "type": "string"
    },
    "currencyCode": {
      "type": "string"
    },
    "expirationDate": {
      "type": "string"
    },
    "assignee": {
      "type": "string"
    },
    "customFields": {}
  },
  "required": [
    "supplierId",
    "orderDate"
  ]
}